-- makes the taxid column not null and changes the primary key to (taxgroupid, additive, taxid)
CREATE TABLE taxrule_new (
    taxgroupid BIGINT NOT NULL,
    additive BOOLEAN NOT NULL,
    taxid BIGINT NOT NULL,
    cumulatedtaxid BIGINT,
    PRIMARY KEY(taxgroupid, additive, taxid)
);

INSERT INTO taxrule_new (taxgroupid, additive, taxid, cumulatedtaxid) SELECT taxgroupid, additive, taxid, cumulatedtaxid FROM taxrule;

DROP TABLE taxrule;
ALTER TABLE taxrule_new RENAME TO taxrule;

ALTER TABLE taxrule ADD CONSTRAINT fk_taxrule_taxgroupid FOREIGN KEY (taxgroupid) REFERENCES taxgroup (taxgroupid);
ALTER TABLE taxrule ADD CONSTRAINT fk_taxrule_taxid FOREIGN KEY (taxid) REFERENCES tax (taxid);
ALTER TABLE taxrule ADD CONSTRAINT fk_taxrule_cumulated_taxid FOREIGN KEY (cumulatedtaxid) REFERENCES tax (taxid);